org.pentaho.reporting.libraries.resourceloader.cache

## Class NullResourceFactoryCache

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.cache.NullResourceFactoryCache

All Implemented Interfaces:
  ResourceFactoryCache

    public class NullResourceFactoryCache
    extends java.lang.Object
    implements ResourceFactoryCache

Creation-Date: 06.04.2006, 10:26:21

Author:
  Thomas Morgner

### Constructor Summary

Constructors
Constructor and Description
`NullResourceFactoryCache()`

### Method Summary

Methods
`void` `clear()`
`Resource` `get(ResourceKey key, java.lang.Class[] target)`
`void` `put(Resource resource)`
`void` `remove(Resource resource)`
`void` `shutdown()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NullResourceFactoryCache

    public NullResourceFactoryCache()

### Method Detail

#### get

    public Resource get(ResourceKey key,
               java.lang.Class[] target)

Specified by:
  `get` in interface `ResourceFactoryCache`

#### put

    public void put(Resource resource)

Specified by:
  `put` in interface `ResourceFactoryCache`

#### remove

    public void remove(Resource resource)

Specified by:
  `remove` in interface `ResourceFactoryCache`

#### clear

    public void clear()

Specified by:
  `clear` in interface `ResourceFactoryCache`

#### shutdown

    public void shutdown()

Specified by:
  `shutdown` in interface `ResourceFactoryCache`